Loading...
Searching...
No Matches
gx_engine::TunerAdapter Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::TunerAdapter:

## Public Member Functions

| TunerAdapter (ModuleSequencer &engine)
void | used_for_switching (bool on)
void | used_for_display (bool on)
bool | used_for_display ()
void | used_by_midi (bool on)
void | set_dep_module (Plugin *dep)
void | set_module ()
void | set_fast_note_detection (bool on)
sigc::signal< void > & | signal_freq_changed ()
float | get_freq ()
float | get_note ()
Public Member Functions inherited from gx_engine::ModuleSelector
| ModuleSelector (EngineControl &seq_)
virtual | ~ModuleSelector ()

## Public Attributes

Plugin | plugin

## Private Types

enum | { tuner_use = 0x01 , switcher_use = 0x02 , midi_use = 0x04 }

## Private Member Functions

void | set_and_check (int use, bool on)

## Static Private Member Functions

static void | feed_tuner (int count, float *input, float *output, PluginDef *)
static int | regparam (const ParamReg &reg)
static int | activate (bool start, PluginDef *plugin)
static void | init (unsigned int samplingFreq, PluginDef *plugin)

## Private Attributes

low_high_cut::Dsp | lhc
PitchTracker | pitch_tracker
int | state
ModuleSequencer & | engine
Plugin * | dep_plugin
Private Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Additional Inherited Members

Protected Attributes inherited from gx_engine::ModuleSelector
EngineControl & | seq

## Detailed Description

Definition at line 80 of file gx_internal_plugins.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
tuner_use |
switcher_use |
midi_use |

Definition at line 90 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## TunerAdapter()

gx_engine::TunerAdapter::TunerAdapter | ( | ModuleSequencer & | engine | ) |

## Member Function Documentation

## activate()

int gx_engine::TunerAdapter::activate | ( | bool | start,
|  | PluginDef * | plugin )

static private

## feed_tuner()

void gx_engine::TunerAdapter::feed_tuner | ( | int | count,
|  | float * | input,
|  | float * | output,
|  | PluginDef * | )

static private

## get_freq()

float gx_engine::TunerAdapter::get_freq | ( |  | ) |

inline

Definition at line 104 of file gx_internal_plugins.h.

## get_note()

float gx_engine::TunerAdapter::get_note | ( |  | ) |

inline

Definition at line 105 of file gx_internal_plugins.h.

## init()

void gx_engine::TunerAdapter::init | ( | unsigned int | samplingFreq,
|  | PluginDef * | plugin )

static private

## regparam()

int gx_engine::TunerAdapter::regparam | ( | const ParamReg & | reg | ) |

static private

## set_and_check()

void gx_engine::TunerAdapter::set_and_check | ( | int | use,
|  | bool | on )

private

Referenced by used_by_midi(), used_for_display(), and used_for_switching().

## set_dep_module()

void gx_engine::TunerAdapter::set_dep_module | ( | Plugin * | dep | ) |

inline

Definition at line 100 of file gx_internal_plugins.h.

## set_fast_note_detection()

void gx_engine::TunerAdapter::set_fast_note_detection | ( | bool | on | ) |

inline

Definition at line 102 of file gx_internal_plugins.h.

## set_module()

void gx_engine::TunerAdapter::set_module | ( |  | ) |

virtual

Implements gx_engine::ModuleSelector.

## signal_freq_changed()

sigc::signal< void > & gx_engine::TunerAdapter::signal_freq_changed | ( |  | ) |

inline

Definition at line 103 of file gx_internal_plugins.h.

## used_by_midi()

void gx_engine::TunerAdapter::used_by_midi | ( | bool | on | ) |

inline

Definition at line 99 of file gx_internal_plugins.h.

## used_for_display() [1/2]

bool gx_engine::TunerAdapter::used_for_display | ( |  | ) |

inline

Definition at line 98 of file gx_internal_plugins.h.

## used_for_display() [2/2]

void gx_engine::TunerAdapter::used_for_display | ( | bool | on | ) |

inline

Definition at line 97 of file gx_internal_plugins.h.

## used_for_switching()

void gx_engine::TunerAdapter::used_for_switching | ( | bool | on | ) |

inline

Definition at line 96 of file gx_internal_plugins.h.

## Member Data Documentation

## dep_plugin

Plugin* gx_engine::TunerAdapter::dep_plugin

private

Definition at line 92 of file gx_internal_plugins.h.

Referenced by set_dep_module().

## engine

ModuleSequencer& gx_engine::TunerAdapter::engine

private

Definition at line 89 of file gx_internal_plugins.h.

Referenced by TunerAdapter().

## lhc

low_high_cut::Dsp gx_engine::TunerAdapter::lhc

private

Definition at line 86 of file gx_internal_plugins.h.

## pitch_tracker

PitchTracker gx_engine::TunerAdapter::pitch_tracker

private

Definition at line 87 of file gx_internal_plugins.h.

Referenced by get_freq(), get_note(), set_fast_note_detection(), and signal_freq_changed().

## plugin

Plugin gx_engine::TunerAdapter::plugin

Definition at line 94 of file gx_internal_plugins.h.

Referenced by activate(), and init().

## state

int gx_engine::TunerAdapter::state

private

Definition at line 88 of file gx_internal_plugins.h.

Referenced by used_for_display().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h